# AuthRequestType | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- AuthRequestType

## Index

### Properties

- do_not_include_profile
- domain_name
- exp
- iat
- iss
- jti
- manifest_uri
- public_keys
- redirect_uri
- scopes
- supports_hub_url
- version

## Properties

### do_not_include_profile

do_not_include_profile: boolean

- Defined in packages/cli/src/auth.ts:85

### domain_name

domain_name: string

- Defined in packages/cli/src/auth.ts:81

### exp

exp: number

- Defined in packages/cli/src/auth.ts:78

### iat

iat: number

- Defined in packages/cli/src/auth.ts:77

### iss

iss: null | string

- Defined in packages/cli/src/auth.ts:79

### jti

jti: string

- Defined in packages/cli/src/auth.ts:76

### manifest_uri

manifest_uri: string

- Defined in packages/cli/src/auth.ts:82

### public_keys

public_keys: string[]

- Defined in packages/cli/src/auth.ts:80

### redirect_uri

redirect_uri: string

- Defined in packages/cli/src/auth.ts:83

### scopes

scopes: string[]

- Defined in packages/cli/src/auth.ts:87

### supports_hub_url

supports_hub_url: boolean

- Defined in packages/cli/src/auth.ts:86

### version

version: string

- Defined in packages/cli/src/auth.ts:84

Generated using TypeDoc